Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.server
Class TCPIPServerSocket

    java.lang.Object
      com.stc.connector.tcpip.model.server.TCPIPServerSocket

    public class TCPIPServerSocket

extends java.lang.Object

This class represents a java ServerSocket API. It is used to establish the physical tcpip server connetion. For more detailed method description, please refer the corresponding parts of java.net.ServerSocket.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/03/03 15:36:00 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPServerSocket()` Constructor of TCPIPServerSocket

Method Summary
`void` | `close()` Closes the Socket.
`void` | `connect(int port)` Creates the ServerSocket object.
`void` | `connect(int port, int backlog)` Creates the ServerSocket object.
`void` | `connect(int port, int backlog, java.net.InetAddress bindAddr)` Creates the ServerSocket object.
`java.net.ServerSocket` | `getServerSocket()` Returns a ServerSocket instance.
`void` | `setTCPIPSocketFactory(TCPIPSocketFactory socketFactory)` Sets TCPIPSocketFactory.
`void` | `setTCPIPSocketFactoryClassName(java.lang.String socketFactoryClassName)` Sets TCPIPSocketFactoryClassName.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPServerSocket

    public TCPIPServerSocket()

  Constructor of TCPIPServerSocket

Method Detail

### getServerSocket

    public java.net.ServerSocket getServerSocket()

  Returns a ServerSocket instance.

  Returns:
    ServerSocket instance

### close

    public void close()
               throws java.io.IOException

  Closes the Socket.

  Throws:
    `java.io.IOException` - on error

### connect

    public void connect(int port)
                 throws java.io.IOException

  Creates the ServerSocket object.

  Parameters:
    `port` - The port number
  Throws:
    `java.io.IOException` - on error

### connect

    public void connect(int port,
                        int backlog)
                 throws java.io.IOException

  Creates the ServerSocket object.

  Parameters:
    `port` - The port number
    `backlog` - The the maximum length of the queue
  Throws:
    `java.io.IOException` - on error

### connect

    public void connect(int port,
                        int backlog,
                        java.net.InetAddress bindAddr)
                 throws java.io.IOException

  Creates the ServerSocket object.

  Parameters:
    `port` - The port number
    `backlog` - The the maximum length of the queue
    `bindAddr` - The local InetAddress the server will bind to
  Throws:
    `java.io.IOException` - on error

### setTCPIPSocketFactory

    public void setTCPIPSocketFactory(TCPIPSocketFactory socketFactory)
                               throws java.io.IOException

  Sets TCPIPSocketFactory.

  Parameters:
    `socketFactory` - TCPIPSocketFactory instance
  Throws:
    `java.io.IOException` - on error

### setTCPIPSocketFactoryClassName

    public void setTCPIPSocketFactoryClassName(java.lang.String socketFactoryClassName)
                                        throws java.io.IOException

  Sets TCPIPSocketFactoryClassName.

  Parameters:
    `socketFactoryClassName` - The class name
  Throws:
    `java.io.IOException` - on error

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD